Page MenuHomeFreeBSD

[update] games/barony to 3.2.1
ClosedPublic

Authored by devnexen_gmail.com on Sep 2 2018, 9:05 PM.

Details

Summary
  • Update to current gog.com version
  • shell script not necessary anymore, the game saving in user's home itself.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

devnexen_gmail.com created this object with visibility "All Users".

Could you use devel/arcanist, or at least generate a diff with full context like it does, with svn diff -x -U9999 or git diff -U9999.

games/barony/files/pkg-message.in
6

Should this be changed too?

Adding "hotfix" patch which unmounted one of the base folders before the application had a chance to load its contents.

I was able to push upstream this patch so it is correct.

tobik requested changes to this revision.Sep 11 2018, 12:05 PM
tobik added inline comments.
games/barony/Makefile
14–17

Having these sorted would be nicer.

games/barony/files/patch-src_menu.cpp
1–11 ↗(On Diff #47811)
  • This patch has inconsistent line endings which SVN doesn't like. The source files some to have DOS-style line endings. You might have to apply USES=dos2unix to src/menu.cpp before patching it.
  • Please use make makepatch to (re-)generate new patches in the future (also do it once for simple patches like this one if you copy them from somewhere else)
This revision now requires changes to proceed.Sep 11 2018, 12:05 PM
tobik changed the visibility from "All Users" to "Public (No Login Required)".Sep 11 2018, 12:06 PM
games/barony/Makefile
14–17

Agreed.

games/barony/files/patch-src_menu.cpp
1–11 ↗(On Diff #47811)

Thanks good to know.

tobik added inline comments.
games/barony/Makefile
20

The argument to dos2unix does nothing and dos2unix will be applied to all source files. I'm actually surprised that dos2unix even accepts an argument...

You need to set DOS2UNIX_FILES=src/menu.cpp instead if it should only be applied to src/menu.cpp. See https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/slow-patch.html#slow-patch-automatic-replacements

This revision is now accepted and ready to land.Sep 12 2018, 1:51 PM
This revision was automatically updated to reflect the committed changes.